<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net9.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Models\Ingoing\Altersgruppen\AltersGruppeIngoing\**" />
    <Compile Remove="Services\Interfaces\**" />
    <Content Remove="Models\Ingoing\Altersgruppen\AltersGruppeIngoing\**" />
    <Content Remove="Services\Interfaces\**" />
    <EmbeddedResource Remove="Models\Ingoing\Altersgruppen\AltersGruppeIngoing\**" />
    <EmbeddedResource Remove="Services\Interfaces\**" />
    <None Remove="Models\Ingoing\Altersgruppen\AltersGruppeIngoing\**" />
    <None Remove="Services\Interfaces\**" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="9.0.11" />
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.11" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="9.0.11">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Sqlite" Version="9.0.11" />
    <PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="9.0.4" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.6.2" />
    <PackageReference Include="Ulid" Version="1.4.1" />
  </ItemGroup>

</Project>
